name: Mytheme
slug: mytheme
type: theme
version: 0.1.0
description: mytheme
icon: rebel
author:
  name: sadf
  email: dhladek@mgial.com
homepage: https://github.com/asdf/grav-theme-mytheme
demo: http://demo.yoursite.com
keywords: grav, theme, etc
bugs: https://github.com/asdf/grav-theme-mytheme/issues
readme: https://github.com/asdf/grav-theme-mytheme/blob/develop/README.md
license: MIT

dependencies:
  - { name: grav, version: '>=1.6.0' }
  - git-sync
  - page-toc
form:
  validation: loose
  fields:
    tabs:
      type: tabs
      active: 1
      fields:
        gitsynclink_options:
          type: tab
          title: 'Git Sync Link'
          fields:
            gitsyncsetup:
              type: section
              title: Setup
              underline: true
            display_of_git_sync_repo_link:
              type: select
              size: medium
              classes: fancy
              label: 'Location of Git Sync Link'
              default: menu
              options:
                menu: Menu
                page: 'Page (visible when ''Chromeless'')'
                footer: Footer
                none: None
            type_of_git_sync_repo_link:
              type: select
              size: medium
              label: 'Type of Git Sync Link'
              default: view
              options:
                view: 'View Git Repository'
                edit: 'View/Edit Page in Git Repository'
            gitsyncoptions:
              type: section
              title: Appearance
              underline: true
            custom_git_sync_repo_link_icon:
              type: input.text
              size: small
              label: 'Custom Font Awesome Icon'
              description: 'Short name, e.g. ''code-fork''.'
              validate:
                type: text
            custom_git_sync_repo_link_text:
              type: input.text
              size: long
              label: 'Custom Link Text'
              description: 'Link text, e.g. ''View Page in GitHub'' or ''View Page as Markdown''.'
              validate:
                type: text
            git_sync_edit_note_text:
              type: input.text
              size: medium
              label: 'Text before Page Link'
              description: 'The text before Git Sync Link located on a Page, e.g. ''Have a suggestion or correction?'' or ''Want to reuse this open content?''.'
            custom_git_sync_repo_presentation_link_text:
              type: input.text
              size: long
              label: 'Custom Presentation Link Text'
              description: 'Link text for embedded Presentations, e.g. ''View Slides in GitHub'' or ''View Slides as Markdown''.'
              validate:
                type: text
            gitsyncadvanced:
              type: section
              title: Advanced
              underline: true
            git_sync_repo_link:
              type: input.url
              label: 'Custom Git Repository Tree URL'
              help: 'Enter the URL that leads to the pages folder of your Git Repository.'
              description: 'URL path to pages folder for ''View/Edit Page in Git Repository'' option, but with ''/pages'' and everything following it removed. For example, ''https://github.com/paulhibbitts/demo-grav-course-hub/tree/master''.'
              validate:
                type: URL
